*This do file first runs sepereate do files in the same folder to clean up missing values and recode variables for statistical anlyses. It then reproduces all tables/figures created based on the ANES data.

*Set up working directory
cd "/Users/jwk/Dropbox/obama muslim paper/QJPS 17138 Replication/ANES analysis"
* cd "copy your directory where anes2008_2009panel_dataset RAW.dta is located"


*packages
ssc install blindschemes, replace all
ssc install estout, replace all

*Figure scheme
set scheme plotplain



*open datafile
use "anes2008_2009panel_dataset RAW.dta", clear


*running missing/recoding do files. See "ANES recoding.do" for more information about the coding procedures.
run "ANES missing.do"
run "ANES recoding.do"


******************************************************* 
********************** MANUSCRIPT **********************
******************************************************* 



**********************TABLE 1**********************
***************************************************

eststo clear
*weighted estimates (weights were provided by ANES)
*standard errors were calculating using the "strata(stratum)" option, as recommended by ANES
svyset [pweight= wgtpp11], strata(stratum)
eststo: svy:reg mus b 
eststo: svy:reg mus b age female white christ_a christ_m ba income_a income_m kerry_a kerry_m turnout04_a turnout04_m turnoutpr_a turnoutpr_m votepr_a votepr_m
eststo: svy:reg mus b age female white christ_a christ_m ba income_a income_m kerry_a kerry_m turnout04_a turnout04_m turnoutpr_a turnoutpr_m votepr_a votepr_m w9interest i.w9k4  i.w9int4 i.w9mm4 i.w9talk4  i.w11k4 w11interest i.w11talk4 
eststo: svy:reg mus b age female white christ_a christ_m ba income_a income_m kerry_a kerry_m turnout04_a turnout04_m turnoutpr_a turnoutpr_m votepr_a votepr_m w9interest i.w9k4  i.w9int4 i.w9mm4 i.w9talk4  i.w11k4 w11interest i.w11talk4  w9vote_a w9vote_m w9pid w9obamalike_a w9obamalike_m w9emo w9racism i.sd i.sr  w11pid w11racism w11emo w11vote_a w11vote_m
*unweighted esitmates
svyset, strata(stratum)
eststo: svy:reg mus b 
esttab using "table 1.csv", replace se nogap b(3)  


**********************FIGURE 2**********************
******************************************************


*calculating daily averages
bysort t: egen w9mus_daily_mean=mean(w9mus) 
bysort t: egen w11mus_daily_mean=mean(w11mus)

*panel a
twoway lpolyci w9mus  t, color(%30) lpattern(1) || lpoly w9mus  t, color(black) lpattern(1) || scatter w9mus_daily_mean t, m(circle) scheme(plotplain) ytitle("W9 Rumor Belief") xtitle("W9 Interview Date") leg(off) xline(5 12) ylabel(0 (.1) .5) xlabel(0 "9/3" 8 "9/11" 18 "9/21" 29 "10/2", nogrid) text(.45 8.5 "Treatment Period", size(2.5)) xsize(3.15) ysize(2.75) title("Panel A", size(3))
graph export "figure 2 panel a.pdf", replace

 *panel b
twoway lpolyci w11mus  t, color(%30) lpattern(1) || lpoly w11mus  t, color(black) lpattern(1) || scatter w11mus_daily_mean t, m(circle) scheme(plotplain) ytitle("W11 Rumor Belief") xtitle("W9 Interview Date") leg(off) xline(5 12) ylabel(0 (.1) .5) xlabel(0 "9/3" 8 "9/11" 18 "9/21" 29 "10/2", nogrid) xsize(3.15) ysize(2.75)  title("Panel B", size(3))
graph export "figure 2 panel b.pdf", replace



******************************************************* 
********************** APPENDIX **********************
******************************************************* 



********************** TABLE A1**********************

*displaying results that exclude terminated responses (w9v3=-5 & w11wv3 = -5) as well as "not asked" units (w11wv3= -6) 

tab w9v3 a if w9v3!=-5 
tab w11wv3 a if w11wv3!=-5 &  w11wv3!=-6


********************** TABLE A2**********************


eststo clear
svyset [pweight= wgtpp11], strata(stratum)
eststo: svy:reg mus b
eststo: svy:reg muso b
eststo: svy:reg musn b
eststo: svy:reg musm b
eststo: svy:reg musmn b
eststo: svy:reg mis b
eststo: svy:reg misn b
esttab using "table a2.csv", replace se nogap b(3)  star (* 0.1 ** 0.05) 



********************** TABLE A3**********************


eststo clear
svyset [pweight= wgtpp11], strata(stratum)
eststo: svy:reg omis b
eststo: svy:reg omisn b
eststo: svy:reg ath b
eststo: svy:reg athn b
esttab using "table a3.csv", replace se nogap b(3)  star (* 0.1 ** 0.05) 



********************** TABLE B1 **********************
*Balance Checks on Demographics and Political Attentiveness

*weighted estimates (weights were selecterd following the algorithm provided by ANES) for Colummns 2 to 4 
eststo clear
svyset [pweight= wgtcs09], strata(stratum)
eststo: svy:reg age b
eststo: svy:reg female b
eststo: svy:reg white b
eststo: svy:reg ba b
eststo: svy:reg christ b
eststo: svy:reg income b
svyset [pweight= wgtc09], strata(stratum)
eststo: svy:reg w2pk b
svyset [pweight= wgtcs09], strata(stratum)
eststo: svy:reg turnout04 b
eststo: svy:reg turnoutpr b
svyset [pweight= wgtc09], strata(stratum)
eststo: svy:reg w1interest b
eststo: svy:reg w2interest b
eststo: svy:reg w6participation b
eststo: svy:reg w1internet b
eststo: svy:reg w1mm b
eststo: svy:reg w1talk b
eststo: svy:reg w2talk b
svyset [pweight= wgtcs09], strata(stratum)
eststo: svy:reg w9k b
eststo: svy:reg w9interest  b
eststo: svy:reg w9internet  b
eststo: svy:reg w9mm b
eststo: svy:reg w9talk b
svyset [pweight= wgtpp11], strata(stratum)
eststo: svy:reg w11k b
eststo: svy:reg w10interest b
eststo: svy:reg w11interest b
svyset [pweight= wgtpp19], strata(stratum)
eststo: svy:reg w19interest b
svyset [pweight= wgtpp11], strata(stratum)
eststo: svy:reg w10internet  b
svyset [pweight= wgtpp19], strata(stratum)
eststo: svy:reg w19internet  b
svyset [pweight= wgtpp11], strata(stratum)
eststo: svy:reg w910mm b
eststo: svy:reg w10mm b
svyset [pweight= wgtpp19], strata(stratum)
eststo: svy:reg w19mm b
svyset [pweight= wgtpp11], strata(stratum)
eststo: svy:reg w10talk  b
eststo: svy:reg w11talk b
svyset [pweight= wgtpp19], strata(stratum)
eststo: svy:reg w19talk b
esttab using "table b1 1.csv", replace se nogap b(3)  star ( * 0.1 ** 0.05 )  

*unweighted estimates for Colummns 5 to 7 
eststo clear
svyset, strata(stratum)
eststo: svy:reg age b
eststo: svy:reg female b
eststo: svy:reg white b
eststo: svy:reg ba b
eststo: svy:reg christ b
eststo: svy:reg income b
eststo: svy:reg w2pk b
eststo: svy:reg turnout04 b
eststo: svy:reg turnoutpr b
eststo: svy:reg w1interest b
eststo: svy:reg w2interest b
eststo: svy:reg w6participation b
eststo: svy:reg w1internet b
eststo: svy:reg w1mm b
eststo: svy:reg w1talk b
eststo: svy:reg w2talk b
eststo: svy:reg w9k b
eststo: svy:reg w9interest  b
eststo: svy:reg w9internet  b
eststo: svy:reg w9mm b
eststo: svy:reg w9talk b
eststo: svy:reg w11k b
eststo: svy:reg w10interest b
eststo: svy:reg w11interest b
eststo: svy:reg w19interest b
eststo: svy:reg w10internet  b
eststo: svy:reg w19internet  b
eststo: svy:reg w910mm b
eststo: svy:reg w10mm b
eststo: svy:reg w19mm b
eststo: svy:reg w10talk  b
eststo: svy:reg w11talk b
eststo: svy:reg w19talk b
esttab using "table b1 2.csv", replace se nogap b(3)  star ( * 0.1 ** 0.05 )  


********************** TABLE B2: Balance Check on Political Leaning********************** 

*weighted estimates (weights were selecterd following the algorithm provided by ANES) for Colummns 2 to 4 
eststo clear
svyset [pweight= wgtc09], strata(stratum)
eststo: svy:reg w1pid b
svyset [pweight= wgtcs09], strata(stratum)
eststo: svy:reg kerry b
svyset [pweight= wgtc09], strata(stratum)
eststo: svy:reg w6att_mus b
eststo: svy:reg w6att_iraq b
eststo: svy:reg w6att_iran b
eststo: svy:reg w2att_black b
eststo: svy:reg w1vote1 b
eststo: svy:reg w1vote2 b
eststo: svy:reg w2vote1 b
eststo: svy:reg w2vote2 b
eststo: svy:reg w6vote b
svyset [pweight= wgtcs09], strata(stratum)
eststo: svy:reg votepr b
svyset [pweight= wgtc09], strata(stratum)
eststo: svy:reg w2obamalike b
eststo: svy:reg w6obamalike b
eststo: svy:reg w2emo b
svyset [pweight= wgtcs09], strata(stratum)
eststo: svy:reg w9pid b
eststo: svy:reg w9racism b
eststo: svy:reg w9ampblack b
eststo: svy:reg sd1 b
eststo: svy:reg sr1 b
eststo: svy:reg w9econ b
eststo: svy:reg w9vote b
eststo: svy:reg w9obamalike b
eststo: svy:reg w9emo b
eststo: svy:reg w9amp b
svyset [pweight= wgtpp11], strata(stratum)
eststo: svy:reg w11pid b
svyset [pweight= wgtpp17], strata(stratum)
eststo: svy:reg w17pid b
svyset [pweight= wgtpp19], strata(stratum)
eststo: svy:reg w19pid b
eststo: svy:reg w17att_mus b
eststo: svy:reg w17att_iraq b
eststo: svy:reg w17att_iran b
svyset [pweight= wgtpp11], strata(stratum)
eststo: svy:reg w10att_black b
svyset [pweight= wgtpp20], strata(stratum)
eststo: svy:reg w20att_black b
svyset [pweight= wgtpp11], strata(stratum)
eststo: svy:reg w11racism b
svyset [pweight= wgtpp17], strata(stratum)
eststo: svy:reg w17racism b
svyset [pweight= wgtpp11], strata(stratum)
eststo: svy:reg w10ampblack b
svyset [pweight= wgtpp11], strata(stratum)
eststo: svy:reg w11econ b
svyset [pweight= wgtpp11], strata(stratum)
eststo: svy:reg w11vote b
svyset [pweight= wgtpp17], strata(stratum)
eststo: svy:reg w17obamalike b
svyset [pweight= wgtpp19], strata(stratum)
eststo: svy:reg w19obamalike b
svyset [pweight= wgtpp11], strata(stratum)
eststo: svy:reg w11emo b
svyset [pweight= wgtpp17], strata(stratum)
eststo: svy:reg w17emo b
svyset [pweight= wgtpp19], strata(stratum)
eststo: svy:reg w19emo b
svyset [pweight= wgtpp11], strata(stratum)
eststo: svy:reg w10amp b
esttab using "table b2 1.csv", replace se nogap b(3)  star ( * 0.05 )  

*unweighted estimates for Colummns 5 to 7 

eststo clear
svyset, strata(stratum)
eststo: svy:reg w1pid b
eststo: svy:reg kerry b
eststo: svy:reg w6att_mus b
eststo: svy:reg w6att_iraq b
eststo: svy:reg w6att_iran b
eststo: svy:reg w2att_black b
eststo: svy:reg w1vote1 b
eststo: svy:reg w1vote2 b
eststo: svy:reg w2vote1 b
eststo: svy:reg w2vote2 b
eststo: svy:reg w6vote b
eststo: svy:reg votepr b
eststo: svy:reg w2obamalike b
eststo: svy:reg w6obamalike b
eststo: svy:reg w2emo b
eststo: svy:reg w9pid b
eststo: svy:reg w9racism b
eststo: svy:reg w9ampblack b
eststo: svy:reg sd1 b
eststo: svy:reg sr1 b
eststo: svy:reg w9econ b
eststo: svy:reg w9vote b
eststo: svy:reg w9obamalike b
eststo: svy:reg w9emo b
eststo: svy:reg w9amp b
eststo: svy:reg w11pid b
eststo: svy:reg w17pid b
eststo: svy:reg w19pid b
eststo: svy:reg w17att_mus b
eststo: svy:reg w17att_iraq b
eststo: svy:reg w17att_iran b
eststo: svy:reg w10att_black b
eststo: svy:reg w20att_black b
eststo: svy:reg w11racism b
eststo: svy:reg w17racism b
eststo: svy:reg w10ampblack b
eststo: svy:reg w11econ b
eststo: svy:reg w11vote b
eststo: svy:reg w17obamalike b
eststo: svy:reg w19obamalike b
eststo: svy:reg w11emo b
eststo: svy:reg w17emo b
eststo: svy:reg w19emo b
eststo: svy:reg w10amp b
esttab using "table b2 2.csv", replace se nogap b(3)  star ( * 0.05 )  


********************** TABLE D1********************** 
*Parallel Trend Check on “Learning” between Waves 9 and 11
*Weighted estimates for Columns 2-6 

eststo clear
svyset [pweight= wgtpp11], strata(stratum)
eststo: svy:reg pk_c b
eststo: svy:reg pk1_c                       b
eststo: svy:reg pk2_c                       b
eststo: svy:reg pk3_c                       b
eststo: svy:reg pk4_c                       b
eststo: svy:reg pk5_c                       b
eststo: svy:reg pko1_c                       b
eststo: svy:reg pko4_c                       b
eststo: svy:reg pko7_c                       b
eststo: svy:reg pko13_c                       b
eststo: svy:reg pko16_c                       b
eststo: svy:reg pko19_c                       b
eststo: svy:reg pko25_c                       b
eststo: svy:reg pko27_c                       b
eststo: svy:reg pko29_c                       b
eststo: svy:reg pko31_c                       b
eststo: svy:reg pkoiraq_c                        b
eststo: svy:reg pkm1_c                       b
eststo: svy:reg pkm4_c                       b
eststo: svy:reg pkm7_c                       b
eststo: svy:reg pkm13_c                       b
eststo: svy:reg pkm16_c                       b
eststo: svy:reg pkm19_c                       b
eststo: svy:reg pkm25_c                       b
eststo: svy:reg pkm27_c                       b
eststo: svy:reg pkm29_c                       b
eststo: svy:reg pkm31_c                       b
eststo: svy:reg pkmiraq_c                        b 
esttab using "table d1 1.csv", replace se nogap b(3)  star (* 0.1 ** 0.05 )  

*Unweighted estimates for Columns 7-11 
eststo clear
svyset , strata(stratum)
eststo: svy:reg pk_c b
eststo: svy:reg pk1_c                       b
eststo: svy:reg pk2_c                       b
eststo: svy:reg pk3_c                       b
eststo: svy:reg pk4_c                       b
eststo: svy:reg pk5_c                       b
eststo: svy:reg pko1_c                       b
eststo: svy:reg pko4_c                       b
eststo: svy:reg pko7_c                       b
eststo: svy:reg pko13_c                       b
eststo: svy:reg pko16_c                       b
eststo: svy:reg pko19_c                       b
eststo: svy:reg pko25_c                       b
eststo: svy:reg pko27_c                       b
eststo: svy:reg pko29_c                       b
eststo: svy:reg pko31_c                       b
eststo: svy:reg pkoiraq_c                        b
eststo: svy:reg pkm1_c                       b
eststo: svy:reg pkm4_c                       b
eststo: svy:reg pkm7_c                       b
eststo: svy:reg pkm13_c                       b
eststo: svy:reg pkm16_c                       b
eststo: svy:reg pkm19_c                       b
eststo: svy:reg pkm25_c                       b
eststo: svy:reg pkm27_c                       b
eststo: svy:reg pkm29_c                       b
eststo: svy:reg pkm31_c                       b
eststo: svy:reg pkmiraq_c                        b 
esttab using "table d1 2.csv", replace se nogap b(3)  star (* 0.05 )  


************************* TABLE D2********************** 
*Obama’s Position on Raising Taxes on Incomes under $200,000 a year by Group and Wave

** Panel A: Wave 9 (Unweighted results) 
tab  w9pb7 a , col
** Panel A: Wave 9 (Weighted results) 
tab  w9pb7 a [aweight=wgtcs09], col
** Panel B: Wave 11 (Unweighted results) 
tab  w11pb7_a a , col
** Panel B: Wave 11 (Weighted results) 
tab  w11pb7_a a [aweight=wgtcs11], col

****Multinomial models for F-statistics

eststo clear
svyset [pweight= wgtcs09], strata(stratum)
svy: mlogit w9pb7 a
svyset , strata(stratum)
svy: mlogit w9pb7 a
svyset [pweight= wgtcs11], strata(stratum)
svy: mlogit w11pb7_a a
svyset , strata(stratum)
svy: mlogit w11pb7_a a


************************ Table D3********************** 
*Correlations between Individual Characteristics and False Beliefs about Obama

eststo clear
svyset [pweight= wgtcs09], strata(stratum)
eststo: svy:reg w9mus w9pid
eststo: svy:reg w9mus w9racism
eststo: svy:reg w9mus w9obamalike
eststo: svy:reg w9mus w9vote
svyset, strata(stratum)
eststo: svy:reg w9mus w9pid
eststo: svy:reg w9mus w9racism
eststo: svy:reg w9mus w9obamalike
eststo: svy:reg w9mus w9vote
esttab using "table d3 1.csv", replace se nogap b(3)  star (* 0.05)  

*reverse coding politial knowledge item to create a dummy indicating false belief about obama's tax policy
recode w9pb7 (2/3=0), gen (tax)
label var tax "misbelief about obama's tax policy"

eststo clear
svyset [pweight= wgtcs09], strata(stratum)
eststo: svy:reg tax w9pid
eststo: svy:reg tax w9racism
eststo: svy:reg tax w9obamalike
eststo: svy:reg tax w9vote
svyset , strata(stratum)
eststo: svy:reg tax w9pid
eststo: svy:reg tax w9racism
eststo: svy:reg tax w9obamalike
eststo: svy:reg tax w9vote
esttab using "table d3 2.csv", replace se nogap b(3)  star (* 0.05)  




********************** FIGURE D1: Trends in Placebo Variables********************** 


****Panel A: Party ID (1=Strong Republican)****


*the following codes generate the mean scores ploted in Figure D1 Panel A and store the estimates to be exported into an Excel file
mean w1pid [aweight=wgtc09], over(a)
matrix w1pid = e(b)
mean w9pid [aweight=wgtcs09], over(a)
matrix w9pid = e(b)
mean w11pid [aweight=wgtpp11], over(a)
matrix w11pid = e(b)
mean w17pid [aweight=wgtpp17], over(a)
matrix w17pid = e(b)
mean w19pid [aweight=wgtpp19], over(a)
matrix w19pid = e(b)

*exporting the estimates into an Excel file to generate the figure in Word
putexcel set figured1panela.xls, replace
putexcel A1=matrix(w1pid)
putexcel A2=matrix(w9pid)
putexcel A3=matrix(w11pid)
putexcel A4=matrix(w17pid)
putexcel A5=matrix(w19pid)

*Figure D1, Panel A was generated by creating a chart in MS Word that plots the entries in figured1panela.xls
*To produce the same figure using the excel file, please take the following steps:
*1) Open "Figure D1 (Empty).docx" in the replication package
*2) Right click on Panel A of the figure, and select "Edit Data in Excel"
*3) Copy and paste the entries in figured1panela.xls into Cell B2 of the Figure's spreadsheet

*Same procedures can be taken to reproduce other panels of Figure D1.

****Panel B: Vote for Obama
mean w1vote1 [aweight=wgtc09], over(a)
matrix w1vote1 = e(b)
mean w2vote1 [aweight=wgtc09], over(a)
matrix w2vote1 = e(b)
mean w6vote [aweight=wgtc09], over(a)
matrix w6vote = e(b)
mean w9vote [aweight=wgtcs09], over(a)
matrix w9vote = e(b)
mean w11vote [aweight=wgtpp11], over(a)
matrix w11vote = e(b)

putexcel set figured1panelb.xls, replace
putexcel A1=matrix(w1vote1)
putexcel A2=matrix(w2vote1)
putexcel A3=matrix(w6vote)
putexcel A4=matrix(w9vote)
putexcel A5=matrix(w11vote)


****Panel C: Affects toward Obama***

mean w2emo [aweight=wgtc09], over(a)
matrix w2emo = e(b)
mean w9emo [aweight=wgtcs09], over(a)
matrix w9emo = e(b)
mean w11emo [aweight=wgtpp11], over(a)
matrix w11emo = e(b)
mean w17emo [aweight=wgtpp17], over(a)
matrix w17emo = e(b)
mean w19emo [aweight=wgtpp19], over(a)
matrix w19emo = e(b)

putexcel set figured1panelc.xls, replace
putexcel A1=matrix(w2emo)
putexcel A2=matrix(w9emo)
putexcel A3=matrix(w11emo)
putexcel A4=matrix(w17emo)
putexcel A5=matrix(w19emo)

****Panel D: Attitude toward Obama (1="like")****

mean w2obamalike [aweight=wgtc09], over(a)
matrix w2obamalike = e(b)
mean w6obamalike [aweight=wgtc09], over(a)
matrix w6obamalike = e(b)
mean w9obamalike [aweight=wgtcs09], over(a)
matrix w9obamalike = e(b)
mean w17obamalike [aweight=wgtpp17], over(a)
matrix w17obamalike = e(b)
mean w19obamalike [aweight=wgtpp19], over(a)
matrix w19obamalike = e(b)

putexcel set figured1paneld.xls, replace
putexcel A1=matrix(w2obamalike)
putexcel A2=matrix(w6obamalike)
putexcel A3=matrix(w9obamalike)
putexcel A4=matrix(w17obamalike)
putexcel A5=matrix(w19obamalike)


****Panel E: Implicit Attitude Toward Obama (AMP)****

mean w9amp [aweight=wgtcs09], over(a)
matrix w9amp = e(b)
mean w10amp [aweight=wgtcs10], over(a)
matrix w10amp = e(b)


putexcel set figured1panele.xls, replace
putexcel A1=matrix(w9amp)
putexcel A2=matrix(w10amp)

********************** FIGURES D2 and D3 ********************** 

** Figures D2 and D3 include the results from 2008 NAES. 
** Please refer to a separate data file and do.file to replicate 



********************** TABLE F1 **********************
** see results from "TABLE 1" 


**********************  FIGURE G1 ********************** 
** Please refer to "figure g1.do" to replicate



********************** TABLE H1 ********************** 


*panel a (cutoff 9/10)
eststo clear
svyset [pweight= wgtpp11], strata(stratum)
eststo: svy:reg mus b10 
eststo: svy:reg mus b10 age female white christ_a christ_m ba income_a income_m kerry_a kerry_m turnout04_a turnout04_m turnoutpr_a turnoutpr_m votepr_a votepr_m
eststo: svy:reg mus b10 age female white christ_a christ_m ba income_a income_m kerry_a kerry_m turnout04_a turnout04_m turnoutpr_a turnoutpr_m votepr_a votepr_m w9interest i.w9k4  i.w9int4 i.w9mm4 i.w9talk4  i.w11k4 w11interest i.w11talk4 
eststo: svy:reg mus b10 age female white christ_a christ_m ba income_a income_m kerry_a kerry_m turnout04_a turnout04_m turnoutpr_a turnoutpr_m votepr_a votepr_m w9interest i.w9k4  i.w9int4 i.w9mm4 i.w9talk4  i.w11k4 w11interest i.w11talk4  w9vote_a w9vote_m w9pid w9obamalike_a w9obamalike_m w9emo w9racism i.sd i.sr  w11pid w11racism w11emo w11vote_a w11vote_m
svyset, strata(stratum)
eststo: svy:reg mus b10 
svyset [pweight= wgtpp11], strata(stratum)
eststo: svy:reg mus b10 i.cdstate
svyset, strata(stratum)
eststo: svy:logit mus2 b10 
esttab using "table h1 1.csv", replace se nogap b(3)  star (+ 0.1 * 0.05)  

*panel b (cutoff 9/11)
eststo clear
svyset [pweight= wgtpp11], strata(stratum)
eststo: svy:reg mus b 
eststo: svy:reg mus b age female white christ_a christ_m ba income_a income_m kerry_a kerry_m turnout04_a turnout04_m turnoutpr_a turnoutpr_m votepr_a votepr_m
eststo: svy:reg mus b age female white christ_a christ_m ba income_a income_m kerry_a kerry_m turnout04_a turnout04_m turnoutpr_a turnoutpr_m votepr_a votepr_m w9interest i.w9k4  i.w9int4 i.w9mm4 i.w9talk4  i.w11k4 w11interest i.w11talk4 
eststo: svy:reg mus b age female white christ_a christ_m ba income_a income_m kerry_a kerry_m turnout04_a turnout04_m turnoutpr_a turnoutpr_m votepr_a votepr_m w9interest i.w9k4  i.w9int4 i.w9mm4 i.w9talk4  i.w11k4 w11interest i.w11talk4  w9vote_a w9vote_m w9pid w9obamalike_a w9obamalike_m w9emo w9racism i.sd i.sr  w11pid w11racism w11emo w11vote_a w11vote_m
svyset, strata(stratum)
eststo: svy:reg mus b 
svyset [pweight= wgtpp11], strata(stratum)
eststo: svy:reg mus b i.cdstate
svyset, strata(stratum)
eststo: svy:logit mus2 b 
esttab using "table h1 2.csv", replace se nogap b(3)  star (+ 0.1 * 0.05)  

*panel c (cutoff 9/12)
eststo clear
svyset [pweight= wgtpp11], strata(stratum)
eststo: svy:reg mus b12 
eststo: svy:reg mus b12 age female white christ_a christ_m ba income_a income_m kerry_a kerry_m turnout04_a turnout04_m turnoutpr_a turnoutpr_m votepr_a votepr_m
eststo: svy:reg mus b12 age female white christ_a christ_m ba income_a income_m kerry_a kerry_m turnout04_a turnout04_m turnoutpr_a turnoutpr_m votepr_a votepr_m w9interest i.w9k4  i.w9int4 i.w9mm4 i.w9talk4  i.w11k4 w11interest i.w11talk4 
eststo: svy:reg mus b12 age female white christ_a christ_m ba income_a income_m kerry_a kerry_m turnout04_a turnout04_m turnoutpr_a turnoutpr_m votepr_a votepr_m w9interest i.w9k4  i.w9int4 i.w9mm4 i.w9talk4  i.w11k4 w11interest i.w11talk4  w9vote_a w9vote_m w9pid w9obamalike_a w9obamalike_m w9emo w9racism i.sd i.sr  w11pid w11racism w11emo w11vote_a w11vote_m
svyset, strata(stratum)
eststo: svy:reg mus b12 
svyset [pweight= wgtpp11], strata(stratum)
eststo: svy:reg mus b12 i.cdstate
svyset, strata(stratum)
eststo: svy:logit mus2 b12 
esttab using "table h1 3.csv", replace se nogap b(3)  star (+ 0.1 * 0.05)  

*panel d (cutoff 9/13; dropping 8 to 12)
eststo clear
svyset [pweight= wgtpp11], strata(stratum)
eststo: svy:reg mus b13 
eststo: svy:reg mus b13 age female white christ_a christ_m ba income_a income_m kerry_a kerry_m turnout04_a turnout04_m turnoutpr_a turnoutpr_m votepr_a votepr_m
eststo: svy:reg mus b13 age female white christ_a christ_m ba income_a income_m kerry_a kerry_m turnout04_a turnout04_m turnoutpr_a turnoutpr_m votepr_a votepr_m w9interest i.w9k4  i.w9int4 i.w9mm4 i.w9talk4  i.w11k4 w11interest i.w11talk4 
eststo: svy:reg mus b13 age female white christ_a christ_m ba income_a income_m kerry_a kerry_m turnout04_a turnout04_m turnoutpr_a turnoutpr_m votepr_a votepr_m w9interest i.w9k4  i.w9int4 i.w9mm4 i.w9talk4  i.w11k4 w11interest i.w11talk4  w9vote_a w9vote_m w9pid w9obamalike_a w9obamalike_m w9emo w9racism i.sd i.sr  w11pid w11racism w11emo w11vote_a w11vote_m
svyset, strata(stratum)
eststo: svy:reg mus b13 
svyset [pweight= wgtpp11], strata(stratum)
eststo: svy:reg mus b13 i.cdstate
svyset, strata(stratum)
eststo: svy:logit mus2 b13 
esttab using "table h1 4.csv", replace se nogap b(3)  star (+ 0.1 * 0.05)  

*panel e (% received fast diffusion)
eststo clear
svyset [pweight= wgtpp11], strata(stratum)
eststo: svy:reg mus bfast 
eststo: svy:reg mus bfast age female white christ_a christ_m ba income_a income_m kerry_a kerry_m turnout04_a turnout04_m turnoutpr_a turnoutpr_m votepr_a votepr_m
eststo: svy:reg mus bfast age female white christ_a christ_m ba income_a income_m kerry_a kerry_m turnout04_a turnout04_m turnoutpr_a turnoutpr_m votepr_a votepr_m w9interest i.w9k4  i.w9int4 i.w9mm4 i.w9talk4  i.w11k4 w11interest i.w11talk4 
eststo: svy:reg mus bfast age female white christ_a christ_m ba income_a income_m kerry_a kerry_m turnout04_a turnout04_m turnoutpr_a turnoutpr_m votepr_a votepr_m w9interest i.w9k4  i.w9int4 i.w9mm4 i.w9talk4  i.w11k4 w11interest i.w11talk4  w9vote_a w9vote_m w9pid w9obamalike_a w9obamalike_m w9emo w9racism i.sd i.sr  w11pid w11racism w11emo w11vote_a w11vote_m
svyset, strata(stratum)
eststo: svy:reg mus bfast 
svyset [pweight= wgtpp11], strata(stratum)
eststo: svy:reg mus bfast i.cdstate
svyset, strata(stratum)
eststo: svy:logit mus2 bfast 
esttab using "table h1 5.csv", replace se nogap b(3)  star (+ 0.1 * 0.05)  

*panel f (% received moderate diffusion)
eststo clear
svyset [pweight= wgtpp11], strata(stratum)
eststo: svy:reg mus bmid 
eststo: svy:reg mus bmid age female white christ_a christ_m ba income_a income_m kerry_a kerry_m turnout04_a turnout04_m turnoutpr_a turnoutpr_m votepr_a votepr_m
eststo: svy:reg mus bmid age female white christ_a christ_m ba income_a income_m kerry_a kerry_m turnout04_a turnout04_m turnoutpr_a turnoutpr_m votepr_a votepr_m w9interest i.w9k4  i.w9int4 i.w9mm4 i.w9talk4  i.w11k4 w11interest i.w11talk4 
eststo: svy:reg mus bmid age female white christ_a christ_m ba income_a income_m kerry_a kerry_m turnout04_a turnout04_m turnoutpr_a turnoutpr_m votepr_a votepr_m w9interest i.w9k4  i.w9int4 i.w9mm4 i.w9talk4  i.w11k4 w11interest i.w11talk4  w9vote_a w9vote_m w9pid w9obamalike_a w9obamalike_m w9emo w9racism i.sd i.sr  w11pid w11racism w11emo w11vote_a w11vote_m
svyset, strata(stratum)
eststo: svy:reg mus bmid 
svyset [pweight= wgtpp11], strata(stratum)
eststo: svy:reg mus bmid i.cdstate
svyset, strata(stratum)
eststo: svy:logit mus2 bmid 
esttab using "table h1 6.csv", replace se nogap b(3)  star (+ 0.1 * 0.05)  

*panel g (% received slow diffusion)
eststo clear
svyset [pweight= wgtpp11], strata(stratum)
eststo: svy:reg mus bslow 
eststo: svy:reg mus bslow age female white christ_a christ_m ba income_a income_m kerry_a kerry_m turnout04_a turnout04_m turnoutpr_a turnoutpr_m votepr_a votepr_m
eststo: svy:reg mus bslow age female white christ_a christ_m ba income_a income_m kerry_a kerry_m turnout04_a turnout04_m turnoutpr_a turnoutpr_m votepr_a votepr_m w9interest i.w9k4  i.w9int4 i.w9mm4 i.w9talk4  i.w11k4 w11interest i.w11talk4 
eststo: svy:reg mus bslow age female white christ_a christ_m ba income_a income_m kerry_a kerry_m turnout04_a turnout04_m turnoutpr_a turnoutpr_m votepr_a votepr_m w9interest i.w9k4  i.w9int4 i.w9mm4 i.w9talk4  i.w11k4 w11interest i.w11talk4  w9vote_a w9vote_m w9pid w9obamalike_a w9obamalike_m w9emo w9racism i.sd i.sr  w11pid w11racism w11emo w11vote_a w11vote_m
svyset, strata(stratum)
eststo: svy:reg mus bslow 
svyset [pweight= wgtpp11], strata(stratum)
eststo: svy:reg mus bslow i.cdstate
svyset, strata(stratum)
eststo: svy:logit mus2 bslow 
esttab using "table h1 7.csv", replace se nogap b(3)  star (+ 0.1 * 0.05)  



********************** TABLE I1 ********************** 
** Heterogeneous Effects of Online Rumor Circulation by Political Predispositions

*The coefficients on "b" in the following regression models are the estimates of treatment effects for pro-Obama side in Table I1.
*The coefficients on the interaction terms are the estimates of heterogeneity in treatment effects 

eststo clear
svyset [pweight= wgtpp11], strata(stratum)
eststo: svy:reg mus c.b##c.rep_di
svyset, strata(stratum)
eststo: svy:reg mus c.b##c.rep_di
svyset [pweight= wgtpp11], strata(stratum)
eststo: svy:reg mus c.b##c.bush
svyset, strata(stratum)
eststo: svy:reg mus c.b##c.bush
svyset [pweight= wgtpp11], strata(stratum)
eststo: svy:reg mus c.b##c.w9racism_di
svyset, strata(stratum)
eststo: svy:reg mus c.b##c.w9racism_di
svyset [pweight= wgtpp11], strata(stratum)
eststo: svy:reg mus c.b##c.ampblack_di
svyset, strata(stratum)
eststo: svy:reg mus c.b##c.ampblack_di
svyset [pweight= wgtpp11], strata(stratum)
eststo: svy:reg mus c.b##c.white
svyset, strata(stratum)
eststo: svy:reg mus c.b##c.white
esttab using "table i1 1.csv" , replace se nogap b(3)  star (+ 0.1 * 0.05)


*The coefficients on "b" in the following regression models are the estimates of treatment effects for anti-Obama side in Table I1.

eststo clear
svyset [pweight= wgtpp11], strata(stratum)
eststo: svy:reg mus c.b##c.dem_di
svyset, strata(stratum)
eststo: svy:reg mus c.b##c.dem_di
svyset [pweight= wgtpp11], strata(stratum)
eststo: svy:reg mus c.b##c.bush_dir
svyset, strata(stratum)
eststo: svy:reg mus c.b##c.bush_dir
svyset [pweight= wgtpp11], strata(stratum)
eststo: svy:reg mus c.b##c.w9racism_dir
svyset, strata(stratum)
eststo: svy:reg mus c.b##c.w9racism_dir
svyset [pweight= wgtpp11], strata(stratum)
eststo: svy:reg mus c.b##c.ampblack_dir
svyset, strata(stratum)
eststo: svy:reg mus c.b##c.ampblack_dir
svyset [pweight= wgtpp11], strata(stratum)
eststo: svy:reg mus c.b##c.white_dir
svyset, strata(stratum)
eststo: svy:reg mus c.b##c.white_dir
esttab using "table i1 2.csv" , replace se nogap b(3)  star (+ 0.1 * 0.05)

********************** FIGURE J1 ********************** 
*This figure is taken from Panels A and B of Figure 1 in the manuscript. The codes to generate the panels are provided above (Figure 1).


********************** FIGURE J2 ********************** 

*panel a

twoway lpolyci w9mus  t, color(%30) lpattern(1),  if t <=3 || lpoly w9mus  t, color(black) lpattern(1), if t<=3 || lpolyci w9mus  t, color(%30) lpattern(1),  if t >3 || lpoly w9mus  t, color(black) lpattern(1), if t>3 || scatter w9mus_daily_mean t, m(circle) scheme(plotplain) ytitle("W9 Rumor Belief") xtitle("W9 Interview Date") leg(off) xline(4) ylabel(0 (.1) .5) xlabel(0 "9/3" 4 "9/7" 8 "9/11" 18 "9/21" 29 "10/2", nogrid)  xsize(3.15) ysize(2.75) title("Panel A Discontinuity around ABC Interview")
graph export "fig j2 panel a.pdf", replace

 *panel b
twoway lpolyci w9mus  t, color(%30) lpattern(1),  if t <=4 || lpoly w9mus  t, color(black) lpattern(1), if t<=4 || lpolyci w9mus  t, color(%30) lpattern(1),  if t >4 || lpoly w9mus  t, color(black) lpattern(1), if t>4 || scatter w9mus_daily_mean t, m(circle) scheme(plotplain) ytitle("W9 Rumor Belief") xtitle("W9 Interview Date") leg(off) xline(5) ylabel(0 (.1) .5) xlabel(0 "9/3" 5 "9/8" 8 "9/11" 18 "9/21" 29 "10/2", nogrid)  xsize(3.15) ysize(2.75) title("Panel B Discontinuity around Radio Shows")
graph export "fig j2 panel b.pdf", replace


********************** TABLE J1 ********************** 
* No Regression Discontinuities around ABC Interview and Radio Shows

***RD Setup
*creating running variable centered at sep 7 (t7) and sep 8 (t8)
gen t7 = t-4
gen t8 = t-5
*creating cutoff dummies "sep7" and "sep8"
recode t7 (min/-1=0) (0/max=1), gen(sep7)
recode t8 (min/-1=0) (0/max=1), gen(sep8)

*regression
eststo clear
svyset [pweight= wgtcs09], strata(stratum)
eststo: svy:reg w9mus sep7##c.t7
svyset , strata(stratum)
eststo: svy:reg w9mus sep7##c.t7
svyset [pweight= wgtcs09], strata(stratum)
eststo: svy:reg w9mus sep8##c.t8
svyset , strata(stratum)
eststo: svy:reg w9mus sep8##c.t8
esttab using "table j1.csv",  replace se nogap b(3)  star (* 0.05)  



************************* TABLE J2 ********************** 
* Marginal Effects of Online Rumor Circulation by Internet Use
clear results

*column 1
eststo clear
svyset [pweight= wgtpp11], strata(stratum)
svy: reg mus c.b##i.w9int4 
*Testing whether interactions are jointly zero 
test 1.w9int4#c.b 2.w9int4#c.b  3.w9int4#c.b
*Calculating/storing marginal effects
estpost margins, dydx(b) at (w9int4 = (0 1 2 3))
esttab using "table j2 1.csv",  replace se nogap b(3)  star (* 0.05)  

*column 2
eststo clear
svyset [pweight= wgtpp11], strata(stratum)
svy: reg mus c.b##i.w9int4  c.b##i.w9talk4 c.b##i.sd c.b##i.sr c.b##i.w9mm4 c.b##i.w9k4 
test 1.w9int4#c.b 2.w9int4#c.b  3.w9int4#c.b
estpost margins, dydx(b) at (w9int4 = (0 1 2 3))
esttab using "table j2 2.csv",  replace se nogap b(3)  star (* 0.05)  

*column 3
eststo clear
svyset [pweight= wgtpp11], strata(stratum)
svy: reg mus c.b##i.w9int4  c.b##i.w9talk4 c.b##i.sd c.b##i.sr c.b##i.w910mm4 c.b##i.w9k4 
test 1.w9int4#c.b 2.w9int4#c.b  3.w9int4#c.b
estpost margins, dydx(b) at (w9int4 = (0 1 2 3))
esttab using "table j2 3.csv",  replace se nogap b(3)  star (* 0.05)  


********************** TABLE J3 ********************** 
* Marginal Effects of Online Rumor Circulation by Alternative Channels

clear results
svyset [pweight= wgtpp11], strata(stratum)

*column 1
eststo clear
qui: svy: reg mus c.b##i.w9talk4
*Testing whether interactions are jointly zero 
test 1.w9talk4#c.b 2.w9talk4#c.b  3.w9talk4#c.b
*Calculating marginal effects
qui:estpost margins, dydx(b) at (w9talk = (0 1 2 3))
esttab using "table j3 1.csv",  replace se nogap b(3)  star (* 0.05)  

*column 2
eststo clear
qui:svy: reg mus c.b##i.sr
test 1.sr#c.b 2.sr#c.b  3.sr#c.b
qui:estpost margins, dydx(b) at (sr = (0 1 2 3))
esttab using "table j3 2.csv",  replace se nogap b(3)  star (* 0.05)  

*column 3
eststo clear
qui:svy: reg mus c.b##i.sd
test 1.sd#c.b 2.sd#c.b  3.sd#c.b
qui: estpost margins, dydx(b) at (sd = (0 1 2 3))
esttab using "table j3 3.csv",  replace se nogap b(3)  star (* 0.05)  

*column 4
eststo clear
qui:svy: reg mus c.b##i.w9k4
test 1.w9k#c.b 2.w9k#c.b  3.w9k#c.b
qui:estpost margins, dydx(b) at (w9k = (0 1 2 3))
esttab using "table j3 4.csv",  replace se nogap b(3)  star (* 0.05)  

*column 5
eststo clear
qui:svy: reg mus c.b##i.w9mm4
test 1.w9mm4#c.b 2.w9mm4#c.b  3.w9mm4#c.b
qui:estpost margins, dydx(b) at (w9mm4 = (0 1 2 3))
esttab using "table j3 5.csv",  replace se nogap b(3)  star (* 0.05)  

*column 6
eststo clear
qui:svy: reg mus c.b##i.w910mm4
test 1.w910mm4#c.b 2.w910mm4#c.b  3.w910mm4#c.b
qui:estpost margins, dydx(b) at (w910mm4 = (0 1 2 3))
esttab using "table j3 6.csv",  replace se nogap b(3)  star (* 0.05)  


********************** TABLE J4 ********************** 
* Marginal Effects of Online Rumor Circulation by Internet Use (Robustness Check)
svyset [pweight= wgtpp11], strata(stratum)
*column 1
eststo clear
svy: reg mus c.b##i.w9int3
test 1.w9int3#c.b 2.w9int3#c.b 
estpost margins, dydx(b) at (w9int3 = (0 1 2 ))
esttab using "table j4 1.csv",  replace se nogap b(3)  star (* 0.05)  

*column 2
eststo clear
svy: reg mus c.b##i.w9int3  c.b##i.w9talk4 c.b##i.sd c.b##i.sr c.b##i.w9mm4 c.b##i.w9k4 
test 1.w9int3#c.b 2.w9int3#c.b  
estpost margins, dydx(b) at (w9int3 = (0 1 2 ))
esttab using "table j4 2.csv",  replace se nogap b(3)  star (* 0.05)  

*column 3
eststo clear
svy: reg mus c.b##i.w9int3  c.b##i.w9talk4 c.b##i.sd c.b##i.sr c.b##i.w910mm4 c.b##i.w9k4 
test 1.w9int3#c.b 2.w9int3#c.b  
estpost margins, dydx(b) at (w9int3 = (0 1 2 ))
esttab using "table j4 3.csv",  replace se nogap b(3)  star (* 0.05)  

**************Figure K1******

svyset [pweight= wgtpp11], strata(stratum)
svy:reg mus a
margins, at (a = (0 1))
marginsplot, xlabel(0 "Group B" 1 "Group A", nogrid) title("Panel A: All") xtitle("") ytitle("Overtime Change") yline(0) xscale(r(-0.5 1.5) noline) yscale(r(-.151 .151)) ylabel(-.15(.05).15) plotopts(lpattern(blank) msymbol(circle)) ciopts(msize(vtiny)) xsize(3.25) ysize(2.5) 
graph export "fig k1 panel a.pdf", replace

svy:reg mus a if rep==1
margins, at (a = (0 1))
marginsplot, xlabel(0 "Group B" 1 "Group A", nogrid) title("Panel B: Republicans") xtitle("") ytitle("Overtime Change") yline(0) xscale(r(-0.5 1.5) noline) yscale(r(-.151 .151)) ylabel(-.15(.05).15) plotopts(lpattern(blank) msymbol(circle)) ciopts(msize(vtiny)) xsize(3.25) ysize(2.5) 
graph export "fig k1 panel b.pdf", replace

svy:reg mus a if dem==1
margins, at (a = (0 1))
marginsplot, xlabel(0 "Group B" 1 "Group A", nogrid) title("Panel C: Democrats") xtitle("") ytitle("Overtime Change") yline(0) xscale(r(-0.5 1.5) noline) yscale(r(-.151 .151)) ylabel(-.15(.05).15) plotopts(lpattern(blank) msymbol(circle)) ciopts(msize(vtiny)) xsize(3.25) ysize(2.5) 
graph export "fig k1 panel c.pdf", replace

********************** Table K1 **********************  
* Belief Corrections between Wave 9 and Wave11

eststo clear
svyset [pweight= wgtpp11], strata(stratum)
eststo: svy:reg pk_c                       
eststo: svy:reg pk1_c     
eststo: svy:reg pko7_c
eststo: svy:reg pk2_c                       
eststo: svy:reg pkmiraq_c 
eststo: svy:reg pko4_c  
eststo: svy:reg pkm13_c  
eststo: svy:reg pko27_c   
eststo: svy:reg pko29_c   
eststo: svy:reg pkm4_c  
eststo: svy:reg pko1_c   
eststo: svy:reg pko16_c   
eststo: svy:reg pko13_c       
eststo: svy:reg pko31_c	
eststo: svy:reg pkm7_c	
eststo: svy:reg pko25_c	
eststo: svy:reg pkoiraq_c	
eststo: svy:reg pkm1_c	
eststo: svy:reg pk4_c	
eststo: svy:reg pkm27_c	
eststo: svy:reg pkm19_c	
eststo: svy:reg pko19_c	
eststo: svy:reg pkm16_c	
eststo: svy:reg pk3_c	
eststo: svy:reg pkm25_c	
eststo: svy:reg pk5_c	
eststo: svy:reg pkm29_c	
eststo: svy:reg pkm31_c
                     
     
                
esttab using "table k1.csv", replace se nogap b(3)   star (* 0.05 ** 0.01)  


**********************  Table K2 ********************** 
*Fixed-Effects Estimates of Rumor Belief on Vote Choice and Affects toward Obama

gen vote = w11vote-w9vote
gen emo = w11emo - w9emo


eststo clear
svyset [pweight= wgtpp11], strata(stratum)
eststo: svy:reg vote mus 
eststo: svy:reg vote mus  age female white christ_a christ_m ba income_a income_m kerry_a kerry_m turnout04_a turnout04_m turnoutpr_a turnoutpr_m votepr_a votepr_m w9interest i.w9k4  i.w9int4 i.w9mm4 i.w9talk4  i.w11k4 w11interest i.w11talk4  w9pid w9obamalike_a w9obamalike_m w9emo w9racism i.sd i.sr  w11pid w11racism w11emo
eststo: svy:reg emo mus 
eststo: svy:reg emo mus  age female white christ_a christ_m ba income_a income_m kerry_a kerry_m turnout04_a turnout04_m turnoutpr_a turnoutpr_m votepr_a votepr_m w9interest i.w9k4  i.w9int4 i.w9mm4 i.w9talk4  i.w11k4 w11interest i.w11talk4  w9vote_a w9vote_m w9pid w9obamalike_a w9obamalike_m w9racism i.sd i.sr  w11pid w11racism  w11vote_a w11vote_m
esttab using "table k2.csv", replace se nogap b(3)  star (* 0.05 ** 0.01)


