*This do file applies the simulation procedure described in Appendix G to the "My Muslim Faith" rumor messages captured in the MemeTracker data


*Setup directory
cd "/Users/jwk/Dropbox/obama muslim paper/QJPS 17138 Replication/FIGURE G1 (in the appendix)"
* cd "COPY YOUR DIRECTORY where FIGURE G1.dta is located"


*packages
ssc install blindschemes, replace all

*set figure scheme
set scheme plotplain

*open datafile
use "Figure G1.dta", clear



*About the data
	* Unit this data is day (t)
	* t is number of day passed since 9/1 (ranging from 0)
	* mmf7 is number of the September 7 batch of "My Muslim Faith" messages that were posted by t
		* For example, mmf7 on September 6 is 0; mmf7 on September 7 is 14 (half of the full batch); mmf7 on September 8 or later is always 28
	* timegap7 is duration of time that has passed since the September 7 batch of "My Muslim Faith" messages had been posted at t

*simulating exposure to each batch rumor messages at t as a function of 'mmf' and 'timegap'.
	*Per Appendix G, we use the CDF of the exponential distribution to simulate message diffusion (Equation G1)
	*Per Appendix G, we use three different rate parameters (1.6, 0.8, 0.4) that respectively assume fast, moderate, and slow message diffusion
	*For example, reception_fast_7 is the amount of exposure to the September 7 batch of "My Muslim Faith" messages at t, assuming fast diffusion 
	*(i.e.,90% of each message's  potential viewers are reached within 36 hours after posting)
gen reception_fast_7= (1-exp(-timegap7*1.6))*mmf7
gen reception_fast_8 = (1-exp(-timegap8*1.6))*mmf8
gen reception_fast_9= (1-exp(-timegap9*1.6))*mmf9
gen reception_fast_10= (1-exp(-timegap10*1.6))*mmf10
gen reception_fast_11= (1-exp(-timegap11*1.6))*mmf11
gen reception_fast_12= (1-exp(-timegap12*1.6))*mmf12
gen reception_fast_13= (1-exp(-timegap13*1.6))*mmf13
gen reception_fast_14= (1-exp(-timegap14*1.6))*mmf14
gen reception_fast_15= (1-exp(-timegap15*1.6))*mmf15
gen reception_fast_16= (1-exp(-timegap16*1.6))*mmf16
gen reception_fast_17= (1-exp(-timegap17*1.6))*mmf17
gen reception_fast_18= (1-exp(-timegap18*1.6))*mmf18
gen reception_fast_19= (1-exp(-timegap19*1.6))*mmf19
gen reception_fast_20= (1-exp(-timegap20*1.6))*mmf20
gen reception_fast_21= (1-exp(-timegap21*1.6))*mmf21
gen reception_fast_22= (1-exp(-timegap22*1.6))*mmf22
gen reception_fast_23= (1-exp(-timegap23*1.6))*mmf23
gen reception_fast_24= (1-exp(-timegap24*1.6))*mmf24
gen reception_fast_25= (1-exp(-timegap25*1.6))*mmf25
gen reception_fast_26= (1-exp(-timegap26*1.6))*mmf26
gen reception_fast_27= (1-exp(-timegap27*1.6))*mmf27
gen reception_fast_28= (1-exp(-timegap28*1.6))*mmf28
gen reception_fast_29= (1-exp(-timegap29*1.6))*mmf29
gen reception_fast_30= (1-exp(-timegap30*1.6))*mmf30
gen reception_fast_oct1= (1-exp(-timegapoct1*1.6))*mmfoct1
gen reception_fast_oct2= (1-exp(-timegapoct2*1.6))*mmfoct2
gen reception_mod_7= (1-exp(-timegap7*0.8))*mmf7
gen reception_mod_8 = (1-exp(-timegap8*0.8))*mmf8
gen reception_mod_9= (1-exp(-timegap9*0.8))*mmf9
gen reception_mod_10= (1-exp(-timegap10*0.8))*mmf10
gen reception_mod_11= (1-exp(-timegap11*0.8))*mmf11
gen reception_mod_12= (1-exp(-timegap12*0.8))*mmf12
gen reception_mod_13= (1-exp(-timegap13*0.8))*mmf13
gen reception_mod_14= (1-exp(-timegap14*0.8))*mmf14
gen reception_mod_15= (1-exp(-timegap15*0.8))*mmf15
gen reception_mod_16= (1-exp(-timegap16*0.8))*mmf16
gen reception_mod_17= (1-exp(-timegap17*0.8))*mmf17
gen reception_mod_18= (1-exp(-timegap18*0.8))*mmf18
gen reception_mod_19= (1-exp(-timegap19*0.8))*mmf19
gen reception_mod_20= (1-exp(-timegap20*0.8))*mmf20
gen reception_mod_21= (1-exp(-timegap21*0.8))*mmf21
gen reception_mod_22= (1-exp(-timegap22*0.8))*mmf22
gen reception_mod_23= (1-exp(-timegap23*0.8))*mmf23
gen reception_mod_24= (1-exp(-timegap24*0.8))*mmf24
gen reception_mod_25= (1-exp(-timegap25*0.8))*mmf25
gen reception_mod_26= (1-exp(-timegap26*0.8))*mmf26
gen reception_mod_27= (1-exp(-timegap27*0.8))*mmf27
gen reception_mod_28= (1-exp(-timegap28*0.8))*mmf28
gen reception_mod_29= (1-exp(-timegap29*0.8))*mmf29
gen reception_mod_30= (1-exp(-timegap30*0.8))*mmf30
gen reception_mod_oct1= (1-exp(-timegapoct1*0.8))*mmfoct1
gen reception_mod_oct2= (1-exp(-timegapoct2*0.8))*mmfoct2
gen reception_slow_7= (1-exp(-timegap7*0.4))*mmf7
gen reception_slow_8 = (1-exp(-timegap8*0.4))*mmf8
gen reception_slow_9= (1-exp(-timegap9*0.4))*mmf9
gen reception_slow_10= (1-exp(-timegap10*0.4))*mmf10
gen reception_slow_11= (1-exp(-timegap11*0.4))*mmf11
gen reception_slow_12= (1-exp(-timegap12*0.4))*mmf12
gen reception_slow_13= (1-exp(-timegap13*0.4))*mmf13
gen reception_slow_14= (1-exp(-timegap14*0.4))*mmf14
gen reception_slow_15= (1-exp(-timegap15*0.4))*mmf15
gen reception_slow_16= (1-exp(-timegap16*0.4))*mmf16
gen reception_slow_17= (1-exp(-timegap17*0.4))*mmf17
gen reception_slow_18= (1-exp(-timegap18*0.4))*mmf18
gen reception_slow_19= (1-exp(-timegap19*0.4))*mmf19
gen reception_slow_20= (1-exp(-timegap20*0.4))*mmf20
gen reception_slow_21= (1-exp(-timegap21*0.4))*mmf21
gen reception_slow_22= (1-exp(-timegap22*0.4))*mmf22
gen reception_slow_23= (1-exp(-timegap23*0.4))*mmf23
gen reception_slow_24= (1-exp(-timegap24*0.4))*mmf24
gen reception_slow_25= (1-exp(-timegap25*0.4))*mmf25
gen reception_slow_26= (1-exp(-timegap26*0.4))*mmf26
gen reception_slow_27= (1-exp(-timegap27*0.4))*mmf27
gen reception_slow_28= (1-exp(-timegap28*0.4))*mmf28
gen reception_slow_29= (1-exp(-timegap29*0.4))*mmf29
gen reception_slow_30= (1-exp(-timegap30*0.4))*mmf30
gen reception_slow_oct1= (1-exp(-timegapoct1*0.4))*mmfoct1
gen reception_slow_oct2= (1-exp(-timegapoct2*0.4))*mmfoct2

*summing up exposure to each batch to calculate the amount of cumulative exposures assuming fast/moderate/slow diffusions at t
egen fast = rowtotal(reception_fast_*)
egen mod = rowtotal(reception_mod_*)
egen slow = rowtotal(reception_slow_*)

summarize fast mod slow

*calculating cumulative percent of message reception, relative to message reception on October 2 (maximum)
	*note: these variables are also used to the treatment intensity variable used as a part of the robustness checks in Appendix H
gen percent_fast = fast/779.8948
gen percent_moderate = mod/776.912
gen percent_slow = slow/769.6744

*Plotting cumulative percent of message reception
twoway (line percent_fast t, color(%40)) (line percent_mod t, color(%40))(line percent_slow t, color(%40)) (scatter percent_fast t, m(square) color(1), if t>=9) (scatter percent_fast t, m(square_hollow) color(1), if t<9) (scatter percent_mod t, m(circle) color(1), if t>=10) (scatter percent_mod t, m(circle_hollow) color(1), if t<10) (scatter percent_slow t, m(triangle) color(1), if t>=11) (scatter percent_slow t, m(triangle_hollow) color(1), if t<11), yline(.5) yscale(r(-0.01 1.01)) ylab(0 (.1) 1) xmtick(0(1)18) xlabel(0 "9/1" 9 "9/10" 10 "9/11" 11 "9/12" 18 "9/19") xtitle("") leg(off) text(.95 4 "Untreated", size(3)) text(.95 15 "Treated", size(3)) text(0 9 "Cut1", size(2.5)) text(0 10 "Cut2", size(2.5)) text(0 11 "Cut3", size(2.5)), if t<19
graph export "figure g1.pdf", replace


