*This do files reproduces Figures D2 and D3 using the NAES data. 


*Set up working directory
cd "/Users/jwk/Dropbox/obama muslim paper/QJPS 17138 Replication/NAES analysis"
* cd "copy your directory where naes2008.dta is located"


***packages
ssc install blindschemes, replace all

*Figure scheme
set scheme plotplain

*packages
ssc install blindschemes, replace all
ssc install estout, replace all

*Figure scheme
set scheme plotplain



*open data
use "naes2008.dta",clear


***************************RECODING VARIABLES*****************************
**************************************************************************

*time variables
*date is YMMDD
*t is number of days passed since September 3rd
 gen date = DATE_c   -20000000
 gen t = date
 recode t (80903=0)
 recode t (80904=1)
 recode t (80905=2)
 recode t (80906=3)
 recode t (80907=4)
 recode t (80908=5)
 recode t (80909=6)
 recode t (80910=7)
 recode t (80911=8)
 recode t (80912=9)
 recode t (80913=10)
 recode t (80914=11)
 recode t (80915=12)
 recode t (80916=13)
 recode t (80917=14)
 recode t (80918=15)
 recode t (80919=16)
 recode t (80920=17)
 recode t (80921=18)
 recode t (80922=19)
 recode t (80923=20)
 recode t (80924=21)
 recode t (80925=22)
 recode t (80926=23)
 recode t (80927=24)
 recode t (80928=25)
 recode t (80929=26)
 recode t (80930=27)
 recode t (81001=28)
 recode t (81002=29)
 drop if t>1000
recode date (min/80910=0) (80911/max=1), gen(a) 
 
 
 
 
*Placebo variables

*Attitude towrard Obama
recode ABo01_c (11/max=.), gen (obamafavor)
recode ABo05_c (11/max=.), gen(obamaleader)
recode ABo06_c (11/max=.), gen(obamatrust)
recode ABo07_c (11/max=.), gen(obamaexperience)
recode ABo08_c (11/max=.), gen(obamajudgment)
recode ABo12_c (11/max=.), gen(obamamyvalues)
recode ABo13_c (11/max=.), gen(obamachief)
 replace obamafavor = obamaf/10
 replace obamaleader = obamal/10
 replace obamaexperience = obamaexperience/10
 replace obamajudgment = obamajudgment/10
 replace obamamyvalues = obamamyvalues/10
 replace obamachief = obamachief/10
  replace obamatrust = obamatrust/10
alpha  obamafavor obamaleader obamatrust obamaexperience obamajudgment obamamyvalues obamachief, gen(obamaatt)


*Vote for Obama
recode    RCa07_c   (1=0) (2=1) (3/max=0), gen (obamavote)
recode    RCa08_c   (1=0) (2=1) (3/max=0), gen (obamavote2)
replace obamavote=obamavote2 if t>22

*vote for McCain

gen mccainvote = 1-obamavote


*Preference for Obama on Iraq
recode CDb06_c (1=0) (2=1)  (3=.5) (4/max=.), gen(obamairaq)
	label var obamairaq "1=obama would better handle iraq"
	
*Preference for Obama on economy
recode CBa03_c  (1=0) (2=1) (3=.5) (4/max=.), gen (obamaecon)
	label var obamaecon "1=obama would better handle econ"

*Bush favorability
 recode AE01_c  (11/max=.), gen( bushfavor )
 replace bushf = bushf/10	

*Attitude toward McCain
recode AAm01_c   (11/max=.), gen (mccainfavor)
recode AAm05_c (11/max=.), gen(mccainleader)
recode AAm06_c (11/max=.), gen(mccaintrust)
recode AAm07_c (11/max=.), gen(mccainexperience)
recode AAm08_c (11/max=.), gen(mccainjudgment)
recode AAm12_c (11/max=.), gen(mccainmyvalues)
recode AAm13_c (11/max=.), gen(mccainchief)
replace mccainfavor = mccainf/10
replace mccainleader = mccainl/10
replace mccainexperience = mccainexperience/10
replace mccainjudgment = mccainjudgment/10
replace mccainmyvalues = mccainmyvalues/10
replace mccainchief = mccainchief/10
replace mccaint = mccaint/10
alpha  mccainfavor mccainleader mccaintrust mccainexperience mccainjudgment mccainmyvalues mccainchief, gen (mccainatt)
label var mccainatt "mccain attitudes"



*iraq war opinions

 recode CDb01_c (3=1) (1/2=0) (4/max=.), gen (iraqkeep)
 recode CDb01_c (2=1) (1=0) (3=0) (4/max=.), gen (iraqdeadline)
 recode CDb02_c  (3=0) (1=1) (2=0) (4/max=.), gen (iraqworth)
 recode CDb03_c (1=1) (2=0)  (3=.5) (4/max=.), gen(iraqterror)
 label var iraqterror "1=leaving iraq would increase terrorism risk"
 recode CDb04_c (1=1) (2=.67)  (3=.33) (4=0) (5/max=.), gen(iraqsuccess)
 
 
 
 *generating daily means
 bysort t: egen obamaatt_mean=mean(obamaatt)
 bysort t: egen obamavote_mean=mean(obamavote)
 bysort t: egen obamairaq_mean=mean(obamairaq)
 bysort t: egen obamaecon_mean=mean(obamaecon)
 bysort t: egen bushfavor_mean=mean(bushfavor)
 bysort t: egen mccainatt_mean=mean(mccainatt)
 bysort t: egen iraqkeep_mean=mean(iraqkeep)
 bysort t: egen iraqdeadline_mean=mean(iraqdeadline)
 bysort t: egen iraqworth_mean=mean(iraqworth)
 bysort t: egen iraqterror_mean=mean(iraqterror)
 bysort t: egen iraqsuccess_mean=mean(iraqsuccess)
 
 
 
***************************Results****************************************
**************************************************************************

 
*FIGURE D2
 
*panel a
twoway lpolyci obamaatt  t, color(%30) lpattern(1) || lpoly obamaatt  t, color(black) lpattern(1) || scatter obamaatt_mean t, m(circle) msize(medlarge) scheme(plotplain) ytitle("") xtitle("") leg(off) xline(5 12) ylabel(.45(.05).65, labsize(medlarge)) ysc(r(.449 .651)) xlabel(0 "9/3" 8 "9/11" 18 "9/21" 29 "10/2", nogrid labsize(medlarge)) text(.64 8.5 "Treatment Period", size(4)) xsize(3.15) ysize(2) title("Panel A: Obama Attitude Index", size(5)) 
graph export "figure d2 panel a.pdf", replace

*panel b
twoway lpolyci obamavote t, color(%30) lpattern(1) || lpoly obamavote  t, color(black) lpattern(1) || scatter obamavote_mean t, m(circle) msize(medlarge) scheme(plotplain) ytitle("") xtitle("") leg(off) xline(5 12) ylabel(.35(.05).55, labsize(medlarge)) ysc(r(.349 .551)) xlabel(0 "9/3" 8 "9/11" 18 "9/21" 29 "10/2", nogrid labsize(medlarge))  xsize(3.15) ysize(2) title("Panel B: Intention to Vote for Obama", size(5))
graph export "figure d2 panel b.pdf", replace

*panel c
twoway lpolyci obamairaq t, color(%30) lpattern(1) || lpoly obamairaq  t, color(black) lpattern(1) || scatter obamairaq_mean t, m(circle) msize(medlarge) scheme(plotplain) ytitle("") xtitle("") leg(off) xline(5 12) ylabel(.35(.05).55, labsize(medlarge)) ysc(r(.349 .551)) xlabel(0 "9/3" 8 "9/11" 18 "9/21" 29 "10/2", nogrid labsize(medlarge))  xsize(3.15) ysize(2) title("Panel C: Obama would handle Iraq better", size(5))
graph export "figure d2 panel c.pdf", replace

*panel d
twoway lpolyci obamaecon t, color(%30) lpattern(1) || lpoly obamaecon  t, color(black) lpattern(1) || scatter obamaecon_mean t, m(circle) msize(medlarge) scheme(plotplain) ytitle("") xtitle("") leg(off) xline(5 12) ylabel(.45(.05).65, labsize(medlarge)) ysc(r(.449 .651)) xlabel(0 "9/3" 8 "9/11" 18 "9/21" 29 "10/2", nogrid labsize(medlarge))  xsize(3.15) ysize(2) title("Panel D: Obama would handle Economy better", size(5))
graph export "figure d2 panel d.pdf", replace

*panel e
twoway lpolyci bushfavor t, color(%30) lpattern(1) || lpoly bushfavor  t, color(black) lpattern(1) || scatter bushfavor_mean t, m(circle) msize(medlarge) scheme(plotplain) ytitle("") xtitle("") leg(off) xline(5 12) ylabel(.25(.05).45, labsize(medlarge)) ysc(r(.249 .451)) xlabel(0 "9/3" 8 "9/11" 18 "9/21" 29 "10/2", nogrid labsize(medlarge)) xsize(3.15) ysize(2)  title("Panel E: Bush Favorability", size(5))
graph export "figure d2 panel e.pdf", replace

*panel f
twoway lpolyci mccainatt t, color(%30) lpattern(1) || lpoly mccainatt  t, color(black) lpattern(1) || scatter mccainatt_mean t, m(circle) msize(medlarge) scheme(plotplain) ytitle("") xtitle("") leg(off) xline(5 12) ylabel(.5(.05).7, labsize(medlarge)) ysc(r(.499 .701)) xlabel(0 "9/3" 8 "9/11" 18 "9/21" 29 "10/2", nogrid labsize(medlarge)) xsize(3.15) ysize(2)  title("Panel F: McCain Attitude Index", size(5))
graph export "figure d2 panel f.pdf", replace




 
*FIGURE D3

 *panel A Keep Troops in Iraq 
twoway lpolyci iraqkeep  t, color(%30) lpattern(1),  if t <=7 || lpoly iraqkeep  t, color(black) lpattern(1), if t<=7 || lpolyci iraqkeep  t, color(%30) lpattern(1),  if t >7 || lpoly iraqkeep  t, color(black) lpattern(1), if t>7 || scatter iraqkeep_mean t, m(circle) msize(medlarge) scheme(plotplain) ytitle("") xtitle("") leg(off) xline(8)  xlabel(0 "9/3" 8 "9/11" 18 "9/21" 29 "10/2", nogrid labsize(medlarge)) ylabel(.25(.05).45, labsize(medlarge))  xsize(3.15) ysize(1.8)  title("Panel A: Keep Troops in Iraq", size(5))
graph export "figure d3 panel a.pdf", replace

*panel B Effect of "Keep Troops" on Vote Choice 
reg mccainvote c.iraqkeep##c.t##a
margins, dydx(iraqkeep) at (t = (0 (1) 7) a = 0) at (t = (8 (1) 29) a = 1)
marginsplot, xlabel(0 "9/3" 8 "9/11" 18 "9/21" 29 "10/2",  nogrid labsize(medlarge)) xmtick(0(1)29) title("Panel B: Effect of `Keep Troops' on McCain Vote", size(5)) xtitle("") ytitle("") plotopts(lpattern(blank) msymbol(circle)) ciopts(msize(vtiny))  xsize(3.15) ysize(1.8) xline(8)
graph export "figure d3 panel b.pdf", replace

*panel C Should Set Deadline 
twoway lpolyci iraqdeadline t, color(%30) lpattern(1),  if t <=7 || lpoly iraqdeadline t, color(black) lpattern(1), if t<=7 || lpolyci iraqdeadline  t, color(%30) lpattern(1),  if t >7 || lpoly iraqdeadline t, color(black) lpattern(1), if t>7 || scatter iraqdeadline_mean t, m(circle) msize(medlarge) scheme(plotplain) ytitle("") xtitle("") leg(off) xline(8)  xlabel(0 "9/3" 8 "9/11" 18 "9/21" 29 "10/2", nogrid labsize(medlarge)) ylabel(.25(.05).45, labsize(medlarge))  xsize(3.15) ysize(1.8)  title("Panel C: Should Set Deadline", size(5))
graph export "figure d3 panel c.pdf", replace

*panel D Effect of "Set Deadline" on Vote Choice 
reg mccainvote c.iraqdeadline##c.t##a 
margins, dydx(iraqdeadline) at (t = (0 (1) 7) a = 0) at (t = (8 (1) 29) a = 1)
marginsplot, xlabel(0 "9/3" 8 "9/11" 18 "9/21" 29 "10/2",  nogrid labsize(medlarge)) xmtick(0(1)29) title("Panel D: Effect of `Set Deadline' on  McCain Vote", size(5)) xtitle("") ytitle("") plotopts(lpattern(blank) msymbol(circle)) ciopts(msize(vtiny))  xsize(3.15) ysize(1.8) xline(8)
graph export "figure d3 panel d.pdf", replace

*panel E Iraq War was Worthwhile 

twoway lpolyci iraqworth  t, color(%30) lpattern(1),  if t <=7 || lpoly iraqworth  t, color(black) lpattern(1), if t<=7 || lpolyci iraqworth  t, color(%30) lpattern(1),  if t >7 || lpoly iraqworth  t, color(black) lpattern(1), if t>7 || scatter iraqworth_mean t, m(circle) msize(medlarge) scheme(plotplain) ytitle("") xtitle("") leg(off) xline(8)  xlabel(0 "9/3" 8 "9/11" 18 "9/21" 29 "10/2", nogrid labsize(medlarge)) ylabel(.25(.05).45, labsize(medlarge))  xsize(3.15) ysize(1.8)  title("Panel E: Iraq War was Worthwhile", size(5))
graph export "figure d3 panel e.pdf", replace

*panel f Effect of ``Iraq War was Worthwhile" on Vote Choice 
reg mccainvote c.iraqworth##c.t##a
margins, dydx(iraq) at (t = (0 (1) 7) a = 0) at (t = (8 (1) 29) a = 1)
marginsplot, xlabel(0 "9/3" 8 "9/11" 18 "9/21" 29 "10/2", nogrid labsize(medlarge)) xmtick(0(1)29) title("Panel F: Effect of 'Iraq Wortwhile' on McCain Vote", size(5)) xtitle("") ytitle("") plotopts(lpattern(blank) msymbol(circle)) ciopts(msize(vtiny))  xsize(3.15) ysize(1.8) xline(8)
graph export "figure d3 panel f.pdf", replace

*panel G Leaving Iraq would increase terror risks 
twoway lpolyci iraqterror  t, color(%30) lpattern(1),  if t <=7 || lpoly iraqterror  t, color(black) lpattern(1), if t<=7 || lpolyci iraqterror  t, color(%30) lpattern(1),  if t >7 || lpoly iraqterror  t, color(black) lpattern(1), if t>7 || scatter iraqterror_mean t, m(circle) msize(medlarge) scheme(plotplain) ytitle("") xtitle("") leg(off) xline(8)  xlabel(0 "9/3" 8 "9/11" 18 "9/21" 29 "10/2", nogrid labsize(medlarge)) ylabel(.5(.05).7, labsize(medlarge))  xsize(3.15) ysize(1.8)  title("Panel G: Leaving Iraq would Increase Terror Risk", size(5))
graph export "figure d3 panel g.pdf", replace

*panel H Effect of "Iraq Terror Risk" on Vote Choice 
reg mccainvote c.iraqterror##c.t##a
margins, dydx(iraq) at (t = (0 (1) 7) a = 0) at (t = (8 (1) 29) a = 1)
marginsplot, xlabel(0 "9/3" 8 "9/11" 18 "9/21" 29 "10/2", nogrid labsize(medlarge)) xmtick(0(1)29) title("Panel H: Effect of 'Incrase Terror Risk' on  McCain Vote", size(5)) xtitle("") ytitle("") plotopts(lpattern(blank) msymbol(circle)) ciopts(msize(vtiny))  xsize(3.15) ysize(1.8) xline(8)
graph export "figure d3 panel h.pdf", replace

*panel I Iraq War was success 
twoway lpolyci iraqsuccess  t, color(%30) lpattern(1),  if t <=7 || lpoly iraqsuccess  t, color(black) lpattern(1), if t<=7 || lpolyci iraqsuccess  t, color(%30) lpattern(1),  if t >7 || lpoly iraqsuccess  t, color(black) lpattern(1), if t>7 || scatter iraqsuccess_mean t, m(circle) msize(medlarge) scheme(plotplain) ytitle("") xtitle("") leg(off) xline(8)  xlabel(0 "9/3" 8 "9/11" 18 "9/21" 29 "10/2", nogrid labsize(medlarge)) ylabel(.45(.05).65, labsize(medlarge))  xsize(3.15) ysize(1.8)  title("Panel I: Iraq War was Success", size(5))
graph export "figure d3 panel i.pdf", replace

*panel J Effect of Iraq War Success on Vote Choice
reg mccainvote c.iraqsuccess##c.t##a
margins, dydx(iraq) at (t = (0 (1) 7) a = 0) at (t = (8 (1) 29) a = 1)
marginsplot, xlabel(0 "9/3" 8 "9/11" 18 "9/21" 29 "10/2", nogrid labsize(medlarge)) xmtick(0(1)29) title("Panel J: Effect of 'Iraq Success' on  McCain Vote", size(5)) xtitle("") ytitle("") plotopts(lpattern(blank) msymbol(circle)) ciopts(msize(vtiny))  xsize(3.15) ysize(1.8) xline(8)
graph export "figure d3 panel j.pdf", replace



